Name:           perl-HTTP-CookieMonster
Version:        0.09
Release:        3%{?dist}
Summary:        Easy access to your jar of HTTP::Cookies
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-CookieMonster
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-CookieMonster-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(Moo) >= 1.000003
BuildRequires:  perl(Safe::Isa)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(URI::Escape)
# Tests:
BuildRequires:  perl(Data::Serializer)
# English not used
# Pod::Coverage::TrustPod not used
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Most)
# Test::Pod::Coverage 1.08 not used
# Optional tests:
# Test::Perl::Critic not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Moo) >= 1.000003

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Moo\\)$

%description
HTTP::CookieMonster gives you a simple interface for getting and setting
cookies in HTTP::Cookies objects.

%prep
%setup -q -n HTTP-CookieMonster-%{version}
# Correct a shebang
perl -i -p -MConfig -e 's{\A#!/usr/bin/env perl\b}{$Config{startperl}}' \
    examples/read_cookies.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.09-2
- Perl 5.30 rebuild

* Fri Feb 01 2019 Petr Pisar <ppisar@redhat.com> 0.09-1
- Specfile autogenerated by cpanspec 1.78.
